aboutsummaryrefslogtreecommitdiff
path: root/iceweasel-sandbox.sh
diff options
context:
space:
mode:
authortoni <matzeton@googlemail.com>2014-11-24 22:47:56 +0100
committertoni <matzeton@googlemail.com>2014-11-24 22:47:56 +0100
commit99fd112d43bc37104a45df62e37ee33590f701ec (patch)
treecdfe76d3b38a95ffd5a38d0aeee0edd247bf0b01 /iceweasel-sandbox.sh
parent587f4b1ae4aaccd5519083833e5f65b106904f51 (diff)
- xmobar/xmonad update
- fixed iceweasel-sandbox bug - removed (pre-)compiled selinux pol's
Diffstat (limited to 'iceweasel-sandbox.sh')
-rwxr-xr-xiceweasel-sandbox.sh29
1 files changed, 25 insertions, 4 deletions
diff --git a/iceweasel-sandbox.sh b/iceweasel-sandbox.sh
index 37cad6c..aab60a6 100755
--- a/iceweasel-sandbox.sh
+++ b/iceweasel-sandbox.sh
@@ -14,6 +14,8 @@ else
CHROOTDIR="$HOME/iceweasel.sandbox"
fi
+export CHROOTKILL="for pid in $(lsof -t ${CHROOTDIR} 2>/dev/null | tr '\n' ' '); do echo -n "."; kill -SIGTERM "\$pid"; done; echo"
+
if [ ! -z "$2" ]; then
DBS_OPTS="--arch ${DEF_ARCH} ${2} ${DEF_SUITE}"
else
@@ -36,7 +38,22 @@ fi
echo "* CHROOT: $CHROOTDIR"
xhost +
if [ ! -f ${CHROOTDIR}/.stamp_installed ]; then
- su -- -c "/usr/sbin/debootstrap --unpack-tarball ${HOME}/iceweasel.sandbox.tar ${DBS_OPTS} ${CHROOTDIR} && touch ${CHROOTDIR}/.stamp_installed"
+ echo "* DEBOOTSTRAP"
+ su -- -c "/usr/sbin/debootstrap --unpack-tarball ${HOME}/iceweasel.sandbox.tar ${DBS_OPTS} ${CHROOTDIR}; touch ${CHROOTDIR}/.stamp_installed"
+else
+ echo "* INSTALLED"
+fi
+
+if [ $(lsof -t ${CHROOTDIR} 2>/dev/null | wc -l) -ne 0 ]; then
+ echo "* Running instance found"
+ read -p "kill instance? (Y/n) " -t 3 answ
+ if [ "x$answ" = "xY" ]; then
+ echo -n "* SIGTERM all processes"
+ su -- -c "$CHROOTKILL"
+ else
+ echo "* abort"
+ exit 1
+ fi
fi
read -p "mount proc? (Y/n) " -t 3 answ
@@ -44,7 +61,8 @@ if [ "x$answ" = "xY" ]; then
add_precmd "mount -t proc proc ${CHROOTDIR}/proc"
add_postcmd "umount ${CHROOTDIR}/proc"
fi
-su -- -c "${PRECMD}; chroot ${CHROOTDIR} /bin/bash -c 'apt-get update; apt-get upgrade; apt-get install -y iceweasel; useradd -m firefox; su -l firefox -c iceweasel'; ${POSTCMD}"
+echo "* CHROOT"
+su -- -c "${PRECMD}; chroot ${CHROOTDIR} /bin/bash -c 'apt-get update; apt-get upgrade; apt-get install -y iceweasel; useradd -m firefox; su -l firefox -c iceweasel'; ${CHROOTKILL}; ${POSTCMD}"
read -p "delete ${CHROOTDIR} ? (Y/n) " -t 5 answ
if [ "x$answ" = "xY" ]; then
@@ -54,10 +72,13 @@ if [ "x$answ" = "xY" ]; then
DOWIPE=y
fi
fi
+ add_postcmd "umount ${CHROOTDIR}/proc"
if [ "x$DOWIPE" = "xy" ]; then
- su -- -c "wipe -qrcf ${CHROOTDIR}/{home,tmp} && rm -rf ${CHROOTDIR}"
+ echo "* WIPE"
+ su -- -c "${CHROOTKILL}; ${POSTCMD}; wipe -qrcf ${CHROOTDIR}/{home,tmp}; rm -rf ${CHROOTDIR}"
else
- su -- -c "rm -rf ${CHROOTDIR}"
+ echo "* RM"
+ su -- -c "${CHROOTKILL}; ${POSTCMD}; rm -rf ${CHROOTDIR}"
fi
fi